Bug 197410 - Needs Requires: php-mbstring
Needs Requires: php-mbstring
Product: Fedora
Classification: Fedora
Component: php-pecl-mailparse (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-06-30 19:24 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-01 08:59:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-06-30 19:24:20 EDT
Description of problem:
php-pecl-mailparse can be installed without php-mbstring which causes the
following error to occur:
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/lib64/php/modules/mailparse.so' - /usr/lib64/php/modules/mailparse.so:
undefined symbol: mbfl_convert_filter_new in Unknown on line 0

The php-pecl-mailparse spec file should
Requires: php-mbstring php >= 4.3.0
As indicated by the dependencies listed here:

Version-Release number of selected component (if applicable):

How reproducible:
The error message shows up upon installing a pear package for example

Steps to Reproduce:
1.  yum remove php-mbstring php-pear-DB php-pecl-mailparse
2.  yum install php-pecl-mailparse (installs without installing php-mbstring)
3.  yum install php-pear-DB (shows error message)
Actual results:
Installing php-pecl-mailparse does not install php-mbstring

Expected results:
Installing php-pecl-mailparse installs php-mbstring

Additional info:
Change Requires line in spec file to:
Requires: php-mbstring php >= 4.3.0
Comment 1 Matthias Saou 2006-07-01 08:59:19 EDT
Thanks for the catch! FC5 and development packages with the fixed dependency
have been rebuilt.

Note You need to log in before you can comment on or make changes to this bug.